body {
  display              : grid;
  font                 : 14px "Lucida Grande", Helvetica, Arial, sans-serif;
  grid-template-rows   : [mast] 1fr [content] auto [base] 1fr;
  grid-template-columns: [side] 1fr [page] 6fr;
  width                : clamp(16rem, 90vw, 70rem);
  margin-left          : auto;
  margin-right         : auto;
  padding-left         : 1.5rem;
  padding-right        : 1.5rem;
}

header {
  grid-row   : mast / span 1;
  grid-column: side / span 3;
}

button,
h2 {
  text-transform: capitalize;
}

.button-panel {
  grid-row      : content / span 1;
  grid-column   : side / span 1;
  display       : flex;
  flex-wrap     : wrap;
  gap           : .2em;
  flex-direction: column;
}

.button-panel button {
  display        : flex;
  justify-content: center;
  align-items    : center;
  border-radius  : 0;
  outline        : none;
  border         : none;
  transition     : 250ms;
  cursor         : pointer;
  text-transform : capitalize;
  line-height    : 2;
}

.button-panel button:hover {
  background-color: #666666;
  text-shadow     : 0 0 2px #000;
}

a {
  color: #00B7FF;
}

form[data-hidden] {
  display    : none;
  grid-column: page / span 1;
  grid-row   : content / span 1;
}

form p {
  font-size: 12pt;
}

form label {
  font-size: 10pt;
}

h1,
h2,
h3,
h4,
h5,
h6,
button,
input,
textarea {
  color: #a3d1ff;
}

button,
input,
textarea {
  background   : #262626;
  border-color : #666666;
  border-radius: .25em;
  padding      : .2em;
  font-size    : 1.2rem;
}

button.example {
  border          : none;
  outline         : 1px solid #a3d1ff;
  font-size       : .8em;
  border-radius   : 1px;
  background-color: transparent;
  cursor          : pointer;
  transition      : outline-offset 100ms;
  outline-offset  : 0px;
}

button.example:hover,
button.example:focus {
  outline-offset: 2px;
}

textarea,
input {
  display      : block;
  margin-bottom: 1em;
}

button[type="submit"] {
  display: block;
  margin : 0 auto;
  padding: .5rem 1.5rem;
}

button[type="submit"]::before {
  content: "";
  display: block;
  width  : 100%;
}

html,
body {
  background : hsl(0, 0%, 2%);
  background : repeating-conic-gradient(hsl(0, 0%, 2%) 0% 25%, hsl(0, 0%, 5%) 0% 50%) 50%/ 3em 3em;
  color      : #d6d6d6;
  font-family: sans-serif;
}

form {
  border          : thin solid hsl(210, 100%, 82%);
  padding         : .5rem;
  margin          : 0;
  background-color: hsl(0, 0%, 5%);
}

header,
.button-panel,
footer {
  background-color: hsl(0, 0%, 2%);
}

div#flash-message {
  display         : none;
  background-color: hsl(0, 0%, 84%);
  color           : hsl(0, 0%, 7%);
  padding         : .5em;
  font-size       : 1.2rem;
  grid-column: page / span 1;
}

div#flash-message.error {
  display         : block;
  background-color: #ff6666;
}

div#flash-message.success {
  display         : block;
  background-color: #66ff66;
}

div#obj-viewer {
  white-space : pre;
  display: none;
  grid-column: page / span 1;
  font-family : monospace;
  font-size   : .8rem;
  width: fit-content;
  /*max-height: 12rem;*/
  overflow    : auto;
}

#createJSON,
#updateJSON,
#overwriteJSON {
  width : 25em;
  height: 8em;
}

.api-legend {
  height: 0;
  transition: height 250ms;
  box-sizing: border-box;
  overflow: hidden;
}

.api-legend.open {
  height: 8em;
}

.api-legend header {
  text-transform: uppercase;
  font-weight: bold;
}

.api-legend span {
  display: block;
  text-indent: -2em;
  margin-left: 2.68em;
}

.api-legend .payload {
  color: #d6d6d6;
}
.api-legend .returns.success {
  color: #66ff66;
}
.api-legend .returns.error {
  color: #ff6666;
}

os-statement {
    position: fixed;
    display: block;
    right: 0;
    background-color: wheat;
    font-family: monospace;
    font-size: 10pt;
    font-weight: bold;
    color: black;
    padding: 1em;
}